Package org.firebirdsql.jna.embedded.spi

## Interface DisposableFirebirdEmbeddedLibrary

All Superinterfaces:
  `FirebirdEmbeddedLibrary`

All Known Implementing Classes:
  `ClasspathFirebirdEmbeddedLibrary`

    public interface DisposableFirebirdEmbeddedLibrary
    extends FirebirdEmbeddedLibrary

Firebird Embedded library that needs to be disposed on exit.

This can be used for additional cleanup on exit.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Will be called by the native resource tracker (if enabled) on exit of the JVM.

### Methods inherited from interface org.firebirdsql.jna.embedded.spi.FirebirdEmbeddedLibrary

`getEntryPointPath, getVersion`

### Method Detail

#### dispose

    void dispose()

Will be called by the native resource tracker (if enabled) on exit of the JVM.

Implementations that need to delete files from the file system should take into account the possibility that files cannot be deleted on exit, and should try to apply a strategy to cleanup old files on the next run.